Skip navigation

Safari 6 & Snow Leopard

24342 Views 16 Replies Latest reply: Jan 5, 2013 1:11 PM by Anic264b RSS
1 2 Previous Next
vangart Level 1 Level 1 (0 points)
Currently Being Moderated
Aug 6, 2012 8:48 PM

Hello,

 

I have my MBP 13 2011 upgraded to 8GB Ram and 180 SSD, running Snow Leopard. I am a music producer, using laptop as a portable studio (having the same stuff on studio's Mac Pro and my MBP), therefore stability and compatibility with a third party AU plugins ( I use Logic Pro 9) is critical.

I also use MBP to surf the web, make contracts, invoices and for other paper work that need to be done. Heard that a new safari 6 is only available for 10.7 & 10.8, and that the current version of it on SL (5.1.7) has more than 100 holes. I love safari very, very much and cannot get used to hangs of Chrome while opening new pages neither memory leaks of the Firefox. I wonder if there will be some Safari 6 or whatever that will have all the wholes fixed?

 

Forgot to mention, I need Snow Leopard due Rosetta.

 

Thanks

 

Ivan P.

Safari, Mac OS X (10.6.8)
  • mesostinky Level 1 Level 1 (10 points)
    Currently Being Moderated
    Aug 8, 2012 12:24 PM (in response to vangart)

    I'm sorry to say that Snow Leopard is Dead and will not be getting Safari 6 or the 121 security updates it provides. In fact it will no longer be getting security updates period so realistically it is no longer very safe to use Snow Leopard machines to access the internet. Which is odd considering that SL has the most Mac market share right now....

     

    Regardless of browser loyalty you 100% need to stop using Safari to browse the web and switch to something like Chrome etc which will continue to receive security updates to prevent problems on your mac. Re: memory leaks Ive really not found that to be an issue with Firefox espeically vs Safari which traditionally has been the one eating up GBs of ram. But to each their own I guess. It's not 2005 anymore where you didnt have to worry about the possibilty of your Mac getting rooted by surfing the internet so you need to stop using Safari asap.

     

    As for sticking with Snow Leopard since you need Rosetta, you'll just have to live with the security risk and disable or not use the things that Apple stops updating. They did shockingly update Leopard after that one security flaw but don't expect them to repeat that for anything on Snow Leopard. Their policy is to support current + last OS for seucurity updates so at this point Snow Leopard is SOL. If it makes you feel any better I'm in the same boat as you and would rather not move off Snow Leopard. At least you can move to Mountain Lion if you update you application(s). My late 2007 Macbook isn't even supported for Mountain Lion but that's a whole other can of worms.

  • AndrewGomes92 Level 1 Level 1 (5 points)
    Currently Being Moderated
    Aug 20, 2012 9:14 AM (in response to mesostinky)

    I still cannot belive on this. First of all my Mac came with Tiger OS back in 2007 (I think), sice it has a Core Duo processor I cannot upgrade to newer versions of OS X that *****. I've upgraded to Snow Leopard in 2010 now your telling me that Apple no longer supports their own OS??!!. Snow Leopard is 3 years old for god sake!!. So what this is the end for my Mac I guess. Why Apple???

  • rhirons Level 1 Level 1 (0 points)
    Currently Being Moderated
    Aug 28, 2012 6:47 PM (in response to AndrewGomes92)

    They generally stop supporting an OSX after 2 or more major OSX updates. It ***** I know, but apple move with the times. If they still had to provide support like microsoft do for windows XP (which is 11 years old) then they would have the same issues microsoft do. Having to support old legacy hardware/drivers/patches/security holes which cause no end of random PC issues.

     

    In total your Mac is 5 years old. They dropped support for the iPhone 3g in less than that. I've got a old white macbook pro as a backup which I've upgraded to 2GB of ram and it barely runs snow leopard.

  • AndrewGomes92 Level 1 Level 1 (5 points)
    Currently Being Moderated
    Aug 29, 2012 4:57 AM (in response to rhirons)

    mine is a mac mini and sl runs great. i'm thinking about upgrading the ram to 3 gb which is the max it can handle

  • MlchaelLAX Level 4 Level 4 (1,550 points)
    Currently Being Moderated
    Aug 29, 2012 2:45 PM (in response to mesostinky)

    mesostinky wrote:

     

    I'm sorry to say that Snow Leopard is Dead and will not be getting Safari 6 or the 121 security updates it provides. In fact it will no longer be getting security updates period so realistically it is no longer very safe to use Snow Leopard machines to access the internet. Which is odd considering that SL has the most Mac market share right now....

    Could you point me to some verification of these statements about Safari 6 and the lack of security updates for Snow Leopard?  Thank you.

  • hpr3 Level 5 Level 5 (5,700 points)
    Currently Being Moderated
    Aug 29, 2012 2:58 PM (in response to MlchaelLAX)

    Michael is correct. The poster's information false.

  • Anic264b Level 1 Level 1 (10 points)
    Currently Being Moderated
    Sep 18, 2012 12:47 PM (in response to rhirons)

    rhirons wrote:

     

    They generally stop supporting an OSX after 2 or more major OSX updates. It ***** I know, but apple move with the times. If they still had to provide support like microsoft do for windows XP (which is 11 years old) then they would have the same issues microsoft do. Having to support old legacy hardware/drivers/patches/security holes which cause no end of random PC issues.

    Well, if Apple wants to only support the 2 last major versions, I could agree with that (hardly, but I could), but then the problem is, releasing these updates one per year is too short.

  • MlchaelLAX Level 4 Level 4 (1,550 points)
    Currently Being Moderated
    Sep 20, 2012 2:13 PM (in response to vangart)

    Apple just released another security update for Snow Leopard: Security Update 2012-004 (September 19, 2012):

     

    http://support.apple.com/kb/HT5501

  • mesostinky Level 1 Level 1 (10 points)
    Currently Being Moderated
    Sep 20, 2012 4:25 PM (in response to MlchaelLAX)

    I am curious if any of these flaws apply to Snow Leopard but were only patched on 10.7 etc. I see several are for Lion and not Snow Leopard. It could be wrong about that though and will have to go through all the CVE's that are for 10.7 10.8 but not for 10.6

     

    Btw it is extremely odd considering Apple's whole unwritten "only support 2 OS's" policy that this update even happened. Sometimes their wall of silence is very much to their determent as users and corporations aren't sure what Apple is planning. The whole updates policy is very much case in point.

     

    I still 100% stand by my statement that using Snow Leopard and especially Safari 5 on Snow Leopard is a terrible idea at this point from a security standpoint.

  • MlchaelLAX Level 4 Level 4 (1,550 points)
    Currently Being Moderated
    Sep 20, 2012 4:59 PM (in response to mesostinky)

    mesostinky wrote:

     

    I am curious if any of these flaws apply to Snow Leopard but were only patched on 10.7 etc. I see several are for Lion and not Snow Leopard. It could be wrong about that though and will have to go through all the CVE's that are for 10.7 10.8 but not for 10.6

     

    Feel free to post the results of your comparisons...

     

    mesostinky wrote:

     

    Btw it is extremely odd considering Apple's whole unwritten "only support 2 OS's" policy that this update even happened. Sometimes their wall of silence is very much to their determent as users and corporations aren't sure what Apple is planning. The whole updates policy is very much case in point.

     

    I guess that Apple's "unwritten" policy is "not worth the paper its written on!" (with apologies to Samuel Goldwyn!)

     

    mesostinky wrote:

     

    I still 100% stand by my statement that using Snow Leopard and especially Safari 5 on Snow Leopard is a terrible idea at this point from a security standpoint.

     

    Except that your statement was:

     

    I'm sorry to say that Snow Leopard is Dead and will not be getting Safari 6 or the 121 security updates it provides. In fact it will no longer be getting security updates period so realistically it is no longer very safe to use Snow Leopard machines to access the internet. Which is odd considering that SL has the most Mac market share right now....

     

    and Apple's already proven half of it wrong!

  • ShivMedia Level 1 Level 1 (10 points)
    Currently Being Moderated
    Dec 14, 2012 2:54 AM (in response to vangart)

    This is not exactly a reply but the same problem of incompatibility I am facing after upgrading my Mac OS X Snow Leopard to 10.6.8 version. The Safari 5.0.6 fails to be invoked. So after reading the messages on this forum it looks like I would be knocking my head against the wall if I tried anything to make them both talk to each other. Or do some geeks may still contrive a solution, failing which it looks like I will have to migrate the system to Mac OS X 10.7 Lion.

     

    It is understandable that one has to go with the flow but also infuriating that manufacturers have unwritten short termist convention as regards their support policy of providing after sales upgrades.

  • Judicae1 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Jan 4, 2013 12:21 AM (in response to vangart)

    Another option if someone else is stumbling onto this forum is to upgrade to the latest OSX (Mountain Lion) and use a virtual machine to run Snow Leopard using a program such as parallels.  Here is a step-by-step I found:

         http://forums.macrumors.com/showthread.php?t=1365439

     

    You could also use a freeware program like virtualbox, but it won't have as good performance and it will be a bit more difficult, but not impossible to set up!

     

    The way this works for those unfamiliar with virtual machines is you would launch Parallels which is a special application which can boot up an image of Snow Leopard operating system.  On this image you can install and run your legacy Rosetta applications, but your main operating system can update to the latest and greatest.

     

    Cheers,

    Judi

  • MlchaelLAX Level 4 Level 4 (1,550 points)
    Currently Being Moderated
    Jan 4, 2013 12:55 AM (in response to Judicae1)

    Do you mean something like this?

     

    Logic Pro 8a.jpg

                                  [click on image to enlarge]

  • Anic264b Level 1 Level 1 (10 points)
    Currently Being Moderated
    Jan 5, 2013 4:41 AM (in response to Judicae1)

    Judicae1 wrote:

     

    Another option if someone else is stumbling onto this forum is to upgrade to the latest OSX (Mountain Lion) and use a virtual machine to run Snow Leopard using a program such as parallels.  Here is a step-by-step I found:

         http://forums.macrumors.com/showthread.php?t=1365439

    I do the opposite: I've kept 10.6 as my main OS and use 10.7 in a virtual machine. Unless you have 10.6 server, you have to be aware you can't legally install 10.6 in a virtual machine. Also, 10.7 has too many unwanted behaviours for me to use as my main OS.

1 2 Previous Next

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.